## phosh-0.41.0.tar.xz

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('phoc_tests',
       type: 'feature', value: 'auto',
       description: 'Whether to enable tests that need phoc')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Phosh')

option('man',
       type: 'boolean', value : false,
       description : 'generate man pages (requires rst2man)')

option('compositor',
       type: 'string', value: '/usr/bin/phoc',
       description: 'Path to the Phoc compositor for use in the launcher script')

option('callui-i18n',
       type: 'boolean', value: false,
       description: 'Whether to install libcallui\s i18n fles')

option('animation-slowdown',
       type: 'integer', value: 1,
       description: 'Slowdown for phosh specific animations')

# Tools helping with e.g. notification server development
option('tools',
       type: 'boolean', value: false,
       description: 'Whether to build the tools')

option('lockscreen-plugins',
       type: 'boolean', value: true,
       description: 'Whether to build the lockscreen plugins')

option('quick-setting-plugins',
       type: 'boolean', value: true,
       description: 'Whether to build the quick setting plugins')

option('introspection',
       type: 'boolean', value: false,
       description: 'Build gobject-introspection support')

# Install files needed to generate some bindings (e.g. Rust).
option('bindings-lib',
       type: 'boolean', value: false,
       description: 'Whether to install the headers and shared library to generate bindings.')

=== debian/changelog ===
phosh (0.41.0) experimental; urgency=medium

  [ Guido Günther ]
  * media-player: Use G_GINT64_FORMAT to print gint64.
    Otherwise we'll break i386
  * lockscreen: Delay clock update past the animation.
    The visible child changes at the start of the animation hence the clock
    can still be outdated.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/922
  * plugins: Avoid adw deprecation warning

  [ Sam Day ]
  * lockscreen: Rename PHOSH_LOCKSCREEN_PAGE_INFO.
    This better describes the purpose of this page. Further, it lays
    groundwork to introduce functionality that changes the default page
    displayed on the lockscreen.
  * lockscreen: Clean up some unused imports
  * lockscreen: Always clear idle timer in carousel_position_notified_cb.
    Even if the keypad is already visible, any swiping activity triggers
    carousel_page_changed_cb again anyway.
    This actually slightly improves UX in a somewhat edge case condition. If
    you swipe to the keypad, and then swipe up/down in the keypad region
    without any keypad input (or switching all the way back to the page
    above), the idle timer will kick in and suddenly take control of the
    carousel. With this change, *any* swiping behaviour properly resets the
    idle timer.
    This is fortunate, because the intent is to remove "PhoshLocksreenPos"
    imminently, and this change removes two usages of that enum.
  * lockscreen: Use phosh_lockscreen_set_page more.
    The logic in phosh_lockscreen_set_page was duplicated in show_info_page
    and show_unlock_page.
    Since show_info_page wasn't doing anything else, just remove it entirely
    and use phosh_lockscreen_set_page.
    In the case of show_unlock_page, it's also emitting a signal, and is
    used as a callback from the UI XML, so it remains intact.
  * lockscreen: Remove PhoshLocksreenPos enum.
    Instead, phosh_lockscreen_get_page is used. The logic of this function
    was also tweaked a bit to incorporate the rounding that was previously
    only done in key_press_event_cb.
    This means that phosh_lockscreen_get_page will report the current page
    slightly differently if queried while the carousel is animating or being
    dragged.
  * lockscreen: Support setting the default page.
    The default page will be presented when the lockscreen is shown, it is
    also the page that is scrolled to when keypad expires or the escape key
    is pressed.
  * lockscreen: Allow custom unlock submit callback.
    The callback that is fired when a passphrase is submitted from the
    keypad entry is virtualized so that subclasses can override this
    behaviour.
    This change primarily benefits Phosh-based greeters like Phrog. In this
    case, the login behaviour is entirely different from the default (the
    PAM conversation is mediated through greetd IPC, and takes place before
    there's actually any user logged in).
  * lockscreen: Provide methods to get/clear/shake PIN entry.
    This is useful for lockscreen subclasses that want to override or
    influence the behaviour of the authentication flow.
    The shake_label/finish_shake_label functions were renamed, since they
    shake the entry, not the label.
  * lockscreen: Allow an "extra" page to be inserted.
    If phosh_lockscreen_add_extra_page is called, the carousel will have an
    extra page inserted between the info page and the unlock page. This
    extra page can then be navigated via swipes, and also set as the
    current and/or default page.
    This is useful for the Phosh-based greeter use case (for example Phrog),
    which inserts a user/session selection page.
  * lockscreen: Setter for unlock status label.
    Allows subclasses to override the message displayed above the keypad
    entry.
  * lockscreen: Property for current carousel page.
    This property can be used by subclasses / observers to be notified when
    lockscreen page considered "visible" changes.
  * lockscreen: Don't set label after shaking.
    The existing usage is changed to set the label before shaking.
    This way the shaking mechanism can be used in other scenarios,
    particularly by lockscreen subclasses.
  * lockscreen-manager: Add phosh_lockscreen_manager_get_lockscreen
  * tests/lockscreen: Add test for extra page functionality
  * background: Use G_GNUC_FALLTHROUGH for consistency
  * bt-manager: Replace #include <bluetooth-device.h> with a typedef.
    This header is vendored into phosh because upstream does not want to
    make it public, so we can't leak it into libphosh headers.
    Further usage of types from these vendored headers are not anticipated
    for now, so we can get away with a typedef for the one BluetoothDevice
    type we need.
  * libphosh: Include status-page-placeholder.h.
    PhoshStatusPagePlaceholder has bled into other publicly exported types
    from libphosh, so we need to make sure this is included. Elsewise
    libphosh-rs compile-time ABI tests fail, for example.

  [ Arun Mani J ]
  * subprojects: Sync libfeedback version with packaging.
    Let's use the same version everywhere

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Scrambled 777 ]
  * Update Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 10:17:28 +0200

phosh (0.41.0~rc1) experimental; urgency=medium

  [ Teemu Ikonen ]
  * media-player: Add a label with track position and length.
    The 'Position' property is read every 1 s when the player is playing.
  * media-player: Add a ProgressBar below details button
  * media-player: Show box_pos_len only when MPRIS has Position and length

  [ Guido Günther ]
  * packaging: No need to set tests twice
  * subprojects: Use a wrap for libgnome-volume-control
  * subprojects: Update gvc.
    Update to 5f9768a2eac29c1ed56f1fbb449a77a3523683b6 to fix a crash


=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen <!nodoc>,
 libadwaita-1-dev,
 libcallaudio-dev,
 libevince-dev,
 libgirepository1.0-dev,
 libjson-glib-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libfeedback-dev (>= 0.4.0),
 libfribidi-dev,
 libgcr-3-dev,
 libgnome-bluetooth-3.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgudev-1.0-dev,
 libhandy-1-dev (>= 1.1.90),
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 libxml2-utils,
 linux-libc-dev (>= 5.12) [arm64],
 meson,
 python3-docutils <!nodoc>,
# for the plugins
 libecal2.0-dev,
 evolution-data-server-dev,
# to run the tests
 at-spi2-core <!nocheck>,
 black <!nocheck>,
 desktop-file-utils <!nocheck>,
 flake8 <!nocheck>,
 dbus-x11 <!nocheck>,
 gnome-settings-daemon-common <!nocheck>,
 gnome-shell-common <!nocheck>,
 gnome-themes-extra-data <!nocheck>,
 gsettings-desktop-schemas <!nocheck>,
 gtk-4-examples <!nocheck>,
 librsvg2-common <!nocheck>,
 phoc (>= 0.33.0) <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
 xwayland <!nocheck>,
Standards-Version: 4.1.3
Homepage: https://gitlab.gnome.org/World/Phosh/phosh/
Rules-Requires-Root: no

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 gsettings-desktop-schemas,
 libcap2-bin,
 phoc (>= 0.33.0),
Recommends:
 feedbackd (>= 0.4.0),
 fonts-cantarell,
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon,
 iio-sensor-proxy,
 librsvg2-common,
 phosh-mobile-tweaks,
 slurp,
 squeekboard | phosh-osk-stub,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Breaks:
 gnome-calls (<< 42),
Description: Pure Wayland shell for mobile devices
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
 stack see the phosh-full and phosh-core metapackages.

Package: phosh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Pure Wayland shell for mobile devices - development documentation
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development documentation.

Package: phosh-mobile-tweaks
Architecture: all
Depends:
 ${misc:Depends},
 dconf-gsettings-backend | gsettings-backend,
Description: Pure Wayland shell for mobile devices - GSettings tweaks
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains settings to improve behaviour on mobile devices.

Package: phosh-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas,
 phoc (>= 0.13.1),
Description: Pure Wayland shell for mobile devices - Plugins
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains additional plugins.

Package: phosh-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Pure Wayland shell for mobile devices - development files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=--wrap-mode=default

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false -Dman=false
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
  CONFIGURE_OPTS+=-Dtests=true
else
  CONFIGURE_OPTS+=-Dtests=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	set -e; for script in postinst postrm triggers; do \
                sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
                    -e"s/#ARCH#/$(DEB_HOST_ARCH)/g" \
                    debian/phosh.$$script.in \
                    > debian/phosh.$$script ; \
        done
	dh_auto_install

override_dh_installsystemd:
	rm -f debian/phosh.service
	cp data/phosh.service debian/phosh.service
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
	LC_ALL=C.UTF-8 xvfb-run -a dh_auto_test -- --no-suite manual
